Bug 89437 - Ordinal suffix should never be auto-corrected to superscript in some languages
Summary: Ordinal suffix should never be auto-corrected to superscript in some languages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Niklas Johansson
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.3 target:4.3.7
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-17 15:52 UTC by Niklas Johansson
Modified: 2015-06-23 22:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Niklas Johansson 2015-02-17 15:52:22 UTC
Set the language to Swedish and type 1:a or 3:e. The suffix becomes superscript. In Swedish it is never printed as superscript. In other words ordinal suffix should never be auto-corrected to superscript in Swedish not even if "Format ordinal number suffixes (1st->1^st)" is selected.

Of course one can disable the functionality, but then it will be disabled for all languages which probably is not what is wanted.

I'm working on a patch for this issue, but still need to check if there are any other languages that is using ordinal suffixes that should never be changed to superscript.
Comment 1 Buovjaga 2015-02-24 11:33:02 UTC
Well, Finnish came to mind and then I had the thought to try Wikipedia: https://en.wikipedia.org/wiki/Ordinal_indicator
Comment 2 Commit Notification 2015-03-19 23:40:23 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=307c25fe460857c52f0b9c2078e83f6d12f8bdc9

tdf#89437  Ordinal suffix should never be superscript in some languages

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Adolfo Jayme 2015-03-22 21:39:15 UTC
Probably a note detailing this behavior should be added to the help to avoid any possible confusion.
Comment 4 Commit Notification 2015-03-23 09:17:36 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10e72e7adaac82882ba6bb892dda7c7640e3e293&h=libreoffice-4-4

tdf#89437  Ordinal suffix should never be superscript in some languages

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Niklas Johansson 2015-03-23 15:21:48 UTC
(In reply to Adolfo Jayme from comment #3)
> Probably a note detailing this behavior should be added to the help to avoid
> any possible confusion.

You find the current help here:
https://help.libreoffice.org/4.3/Common/Localized_Options#Format_ordinal_number_suffixes_.281st_..._1st.29

How about a note after that text stating:

Note that this only applies to languages that have the convention of formatting ordinal numbers as superscript.
Comment 6 Commit Notification 2015-03-23 16:12:53 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3979944ced7075e9851a69a93fa41d6680bff80&h=libreoffice-4-3

tdf#89437  Ordinal suffix should never be superscript in some languages

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Andras Timar 2015-06-23 22:24:28 UTC
AFAIK, this is fixed (in help, too).